Index: typo3/sysext/adodb/adodb/tests/test-active-record.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-active-record.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-active-record.php	(working copy)
@@ -1,8 +1,12 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 	include_once('../adodb.inc.php');
 	include_once('../adodb-active-record.inc.php');
-	
+
 	// uncomment the following if you want to test exceptions
 	if (@$_GET['except']) {
 		if (PHP_VERSION >= 5) {
@@ -16,20 +20,20 @@
 	ADOdb_Active_Record::SetDatabaseAdapter($db);
 
 	$db->Execute("CREATE TEMPORARY TABLE `persons` (
-	                `id` int(10) unsigned NOT NULL auto_increment,
-	                `name_first` varchar(100) NOT NULL default '',
-	                `name_last` varchar(100) NOT NULL default '',
-	                `favorite_color` varchar(100) NOT NULL default '',
-	                PRIMARY KEY  (`id`)
-	            ) ENGINE=MyISAM;
-	           ");
-			   
+									`id` int(10) unsigned NOT NULL auto_increment,
+									`name_first` varchar(100) NOT NULL default '',
+									`name_last` varchar(100) NOT NULL default '',
+									`favorite_color` varchar(100) NOT NULL default '',
+									PRIMARY KEY  (`id`)
+							) ENGINE=MyISAM;
+						 ");
+
 	class Person extends ADOdb_Active_Record{}
 	$person = new Person();
-	
+
 	echo "<p>Output of getAttributeNames: ";
 	var_dump($person->getAttributeNames());
-	
+
 	/**
 	 * Outputs the following:
 	 * array(4) {
@@ -43,40 +47,40 @@
 	 *    string(13) "favorite_color"
 	 *  }
 	 */
-	
+
 	$person = new Person();
 	$person->name_first = 'Andi';
 	$person->name_last  = 'Gutmans';
 	$person->save(); // this save() will fail on INSERT as favorite_color is a must fill...
-	
-	
+
+
 	$person = new Person();
 	$person->name_first     = 'Andi';
 	$person->name_last      = 'Gutmans';
 	$person->favorite_color = 'blue';
 	$person->save(); // this save will perform an INSERT successfully
-	
+
 	echo "<p>The Insert ID generated:"; print_r($person->id);
-	
+
 	$person->favorite_color = 'red';
 	$person->save(); // this save() will perform an UPDATE
-	
+
 	$person = new Person();
 	$person->name_first     = 'John';
 	$person->name_last      = 'Lim';
 	$person->favorite_color = 'lavender';
 	$person->save(); // this save will perform an INSERT successfully
-	
+
 	// load record where id=2 into a new ADOdb_Active_Record
 	$person2 = new Person();
 	$person2->Load('id=2');
-	
+
 	var_dump($person2);
-	
+
 	$activeArr = $db->GetActiveRecordsClass($class = "Person",$table = "persons","id=".$db->Param(0),array(2));
 	$person2 =& $activeArr[0];
-	echo "<p>Name (should be John): ",$person->name_first, " <br> Class (should be Person): ",get_class($person2);	
-	
+	echo "<p>Name (should be John): ",$person->name_first, " <br> Class (should be Person): ",get_class($person2);
+
 
 
 ?>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/testgenid.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testgenid.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testgenid.php	(working copy)
@@ -1,7 +1,12 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
-	V4.50 6 July 2004 
-	
+	V4.50 6 July 2004
+
 	Run multiple copies of this php script at the same time
 	to test unique generation of id's in multiuser mode
 */
@@ -12,16 +17,16 @@
 function testdb(&$db,$createtab="create table ADOXYZ (id int, firstname char(24), lastname char(24), created date)")
 {
 	$table = 'adodbseq';
-	
+
 	$db->Execute("drop table $table");
 	//$db->debug=true;
-	
+
 	$ctr = 5000;
 	$lastnum = 0;
-	
+
 	while (--$ctr >= 0) {
 		$num = $db->GenID($table);
-		if ($num === false) {	
+		if ($num === false) {
 			print "GenID returned false";
 			break;
 		}
Index: typo3/sysext/adodb/adodb/tests/test_rs_array.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test_rs_array.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test_rs_array.php	(working copy)
@@ -1,4 +1,8 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 include_once('../adodb.inc.php');
 $rs = new ADORecordSet_array();
@@ -40,8 +44,4 @@
 	print_r($rs->fields);echo "<br>";
 	$rs->MoveNext();
 }
-
-
-
-die();
 ?>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/test-perf.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-perf.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-perf.php	(working copy)
@@ -1,4 +1,8 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 include_once('../adodb-perf.inc.php');
 
@@ -9,7 +13,7 @@
 	foreach($_GET as $k => $v) {
 		if (strncmp($k,'test',4) == 0) $_SESSION['_db'] = $k;
 	}
-} 
+}
 
 if (isset($_SESSION['_db'])) {
 	$_db = $_SESSION['_db'];
@@ -21,13 +25,13 @@
 include_once('testdatabases.inc.php');
 
 
-function testdb($db) 
+function testdb($db)
 {
 	if (!$db) return;
 	echo "<font size=1>";print_r($db->ServerInfo()); echo " user=".$db->user."</font>";
-	
-	$perf = NewPerfMonitor($db); 
-	
+
+	$perf = NewPerfMonitor($db);
+
 	# unit tests
 	if (0) {
 		//$DB->debug=1;
@@ -37,14 +41,14 @@
 		echo($perf->ExpensiveSQL());
 		echo($perf->InvalidSQL());
 		echo $perf->Tables();
-	
+
 		echo "<pre>";
 		echo $perf->HealthCheckCLI();
 		$perf->Poll(3);
 		die();
 	}
-	
+
 	if ($perf) $perf->UI(3);
 }
- 
-?>
+
+?>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/test5.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test5.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test5.php	(working copy)
@@ -1,16 +1,21 @@
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 
-// Select an empty record from the database 
+// Select an empty record from the database
 
 include('../adodb.inc.php');
 include('../tohtml.inc.php');
